Bug 55272 - (NET NE2000?) Cannot configure RealTek 8019 ethernet card with isapnp
Summary: (NET NE2000?) Cannot configure RealTek 8019 ethernet card with isapnp
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.1
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-29 00:16 UTC by Need Real Name
Modified: 2013-07-03 02:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 03:23:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-10-29 00:16:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
V7.0 configues the ISA ethernet card properly. Neither an upgrade to 7.1 
nor a new install of 7.1 gets this card to work.
7.1 does not seem to have pnpdump nor isapnp any more.
/proc/isapnp does not list the NE2000 card (7.1)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.install O/S
2.
3.
	

Additional info:

Apparently ISA interfaces are handled differently by 7.1. During startup 
there's no longer any reference to isapnp configuration.

Comment 1 Bill Nottingham 2001-10-29 01:35:14 UTC
/proc/isapnp does not list the card at all, yet it is a PnP card?

What isapnp messages do you get from the kernel at bootup?

Comment 2 Need Real Name 2001-10-29 11:15:57 UTC
The system is a Pentium II, 350 MHz and an Intel 440BX chipset. Linux 7.1 
discovers a 3-button PS/2 mouse by default. That is correct. The first boot of 
the installed o/s show no signs of an ethernet interface and the startup log 
reports that the console mouse is busy. That can be fixed by telling 7.1 to use 
a 2-button PS/2 mouse with 3-button emulation.
Automatic configuration of the ISA ethernet interface is done via kudzu. 
Ifconfig reports an irq:12 and io=240. If that is changed to the proper values 
in modules.conf (irq=3 and io=0x0220) then the interface is still not 
responding.

Comment 3 Bill Nottingham 2002-01-25 05:14:14 UTC
kudzu does not configure ISA cards, only ISAPnP cards; similarly, isapnptools
wouldn't be useful on an ISA card.

If the correct parameters do not result in a working configuration, that
indicates a kernel driver issue.

Comment 4 Jeff Garzik 2003-08-27 17:04:28 UTC
What is the precise name of the driver being used?

What is the output from 'dmesg' when the driver is working?


Comment 5 Dave Jones 2003-12-17 03:23:46 UTC
No reply from original reporter in 2 years, I think we can give up on
this one. Especially with the pending EOL of 7.x



Note You need to log in before you can comment on or make changes to this bug.